%global momorel 1
%global iwl3945_v0 15.28.2.8
%global iwl3945_v1 15.28.1.8
%global iwl3945_v2 2.14.4

Summary: Firmware for Intel® PRO/Wireless 3945 A/B/G network adaptors
Name: iwl3945-firmware
Version: %{iwl3945_v0}
Release: %{momorel}m%{?dist}
License: "Redistributable, no modification permitted"
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/
Source0: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-%{iwl3945_v0}.tgz
Source1: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-%{iwl3945_v1}.tgz
Source2: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-%{iwl3945_v2}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: sed
BuildArch: noarch
# This is so that the noarch packages don't appear for these archs
ExcludeArch: ppc ppc64

# for automatic upgrade
Provides: iwlwifi-firmware
Obsoletes: iwlwifi-firmware

%description
This package contains the firmware required by the iwl3945 driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE file. Please read it carefully.

%prep
%setup -q -n iwlwifi-3945-ucode-%{version} -a 1 -a2

# move docs
%{__mv} LICENSE.iwlwifi-3945-ucode LICENSE
%{__mv} README.iwlwifi-3945-ucode README

# fix end-of-line encoding
%{__sed} -i 's/\r//' LICENSE README
# put timestamp back (it's the same on all files)
touch -r iwlwifi-3945*.ucode LICENSE README

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/lib/firmware
%{__install} -p -m 0644 iwlwifi-3945*.ucode */iwlwifi-3945*.ucode \
    %{buildroot}/lib/firmware/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*.ucode

%changelog
* Mon Oct 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (15.28.2.8-1m)
- version 15.28.2.8

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.1.5-2m)
- rebuild against gcc43

* Thu Oct 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.14.1.5-1m)
- move from iwlwifi-firmware to iwl3945-firmware
- version 2.14.1.5, this version is newer than 2.14.4
- keep 2.14.4

* Sat Jul  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.3-1m)
- import from fc to Momonga

* Fri May 18 2007 Matthias Saou <http://freshrpms.net> 2.14.3-2
- Bump release (Koji Error importing RPM file. rpm already exists.)

* Fri May 18 2007 Matthias Saou <http://freshrpms.net> 2.14.3-1
- Update to 2.14.3 (upstream name change iwlwifi-ucode -> iwlwifi-3945-ucode).
- Remove the ".iwlwifi-3945-ucode" suffix from included LICENSE and README.
- Use dos2unix on the LICENSE and the README to fix end of line encoding.
- Switch from using ExclusiveArch hack to ExcludeArch hack for Koji build.

* Tue Mar 20 2007 Matthias Saou <http://freshrpms.net> 2.14.1-4
- Add "noarch" to the ExclusiveArchs since plague chokes otherwise.

* Mon Mar  5 2007 Matthias Saou <http://freshrpms.net> 2.14.1-3
- Change group and license fields to reflect latest firmware guidelines.
- Replace "microcode" with "firmware" in summary and description.

* Mon Feb 26 2007 Matthias Saou <http://freshrpms.net> 2.14.1-2
- Initial RPM release.
- Rename from -ucode to -firmware.

